org.apache.http.config

## Class SocketConfig.Builder

- java.lang.Object
- - org.apache.http.config.SocketConfig.Builder

Enclosing class:
  SocketConfig

    public static class SocketConfig.Builder
    extends Object

### Method Summary

Methods
`SocketConfig` `build()`
`SocketConfig.Builder` `setSoKeepAlive(boolean soKeepAlive)`
`SocketConfig.Builder` `setSoLinger(int soLinger)`
`SocketConfig.Builder` `setSoReuseAddress(boolean soReuseAddress)`
`SocketConfig.Builder` `setSoTimeout(int soTimeout)`
`SocketConfig.Builder` `setTcpNoDelay(boolean tcpNoDelay)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setSoTimeout

    public SocketConfig.Builder setSoTimeout(int soTimeout)

#### setSoReuseAddress

    public SocketConfig.Builder setSoReuseAddress(boolean soReuseAddress)

#### setSoLinger

    public SocketConfig.Builder setSoLinger(int soLinger)

#### setSoKeepAlive

    public SocketConfig.Builder setSoKeepAlive(boolean soKeepAlive)

#### setTcpNoDelay

    public SocketConfig.Builder setTcpNoDelay(boolean tcpNoDelay)

#### build

    public SocketConfig build()